Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::LinDlcInfo Struct Referencefinal

LIN_DLC_INFO. More...

`#include <LinDlcInfo.h>`

Inheritance diagram for Vector::BLF::LinDlcInfo:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint16_t | channel {}
| application channel
uint8_t | id {}
| LIN ID.
uint8_t | dlc {}
| LIN DLC.
uint32_t | reservedLinDlcInfo {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

LIN_DLC_INFO.

This info event occurs when the LIN hardware successfully detected the frame length of an unknown frame. This frame length value is set as the one to be expected for this frame in the future.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::LinDlcInfo::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::LinDlcInfo::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::LinDlcInfo::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::LinDlcInfo::channel {}

application channel

Channel number where the frame sent/received.

## ◆ dlc

uint8_t Vector::BLF::LinDlcInfo::dlc {}

LIN DLC.

Frame length

## ◆ id

uint8_t Vector::BLF::LinDlcInfo::id {}

LIN ID.

Frame identifier

## ◆ reservedLinDlcInfo

uint32_t Vector::BLF::LinDlcInfo::reservedLinDlcInfo {}

reserved

The documentation for this struct was generated from the following files:

- LinDlcInfo.h
- LinDlcInfo.cpp